@import url("https://fonts.googleapis.com/css2?family=Kanit:wght@400;500;600;700;800;900&display=swap");

@import url("https://fonts.googleapis.com/css2?family=Saira:wght@300;400;500;600;700;800;900&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --primary-color: #0069ff;
  --black: #040404;
  --white: #fff;
  --bg: #d6efff;
  --bg2: #edf9ff;
  --border: #d1d1d1;
  --border2: #e7e7e7;
  --text2: #3d3d3d;
  --text3: #6d6d6d;
  --gradient: linear-gradient(94deg, #0069ff 0%, #233886 99.66%);
  --primary-font: "Kanit";
  --secondary-font: "Saira";
}

h1,
h2,
h3,
h4 {
  font-family: var(--primary-font);
}

p,
h5,
h6 {
  font-family: var(--secondary-font);
}
/* ..................... */

/* Find Domain Start */

.find-domain .cta {
  background: var(--white);
  color: var(--white);
  padding: 30px 16px;
  text-align: center;
  margin-top: 80px;
  border-radius: 12px;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
}

.find-domain .cta h4 {
  font-size: 2.5rem;
  color: var(--black);
}

.find-domain .cta p {
  font-family: var(--secondary-font);
  font-weight: 400;
  color: var(--black);
  font-size: 1rem;
  margin-bottom: 20px;
}

.find-domain .search_bar {
  width: 100%;
  max-width: 400px;
  display: flex;
  align-items: center;
  background: transparent;
  border: 1px solid var(--border);
  padding: 4px;
  border-radius: 8px;
  margin: auto;
}

.find-domain .search_bar input {
  width: 100%;
  border: none;
  font-size: 16px;
  font-family: var(--secondary-font);
  padding: 10px 10px;
  background: transparent;
  color: var(--black);
  border-radius: 3px;
  outline: none;
}

.find-domain .search_bar .src_btn {
  display: flex;
  height: 42px;
  width: 42px;
  justify-content: center;
  align-items: center;
  background: var(--primary-color);
  border: none;
  cursor: pointer;
  border-radius: 10px;
  transition: 0.4s;
}

.find-domain .search_bar .src_btn:hover {
  background: var(--secondary-color);
}

.find-domain .search_bar .src_btn svg {
  width: 20px;
  height: 20px;
}

/* Find Domain End */

/* Other card Start */

.other-card {
  width: 100%;
  position: relative;
  background: var(--white);
  margin-top: 80px;
}

.other-card .other-card-wrapper {
  background: var(--black);
  padding: 40px;
  border-radius: 24px;
  -webkit-border-radius: 24px;
  -moz-border-radius: 24px;
  -ms-border-radius: 24px;
  -o-border-radius: 24px;
}

.other-card .container {
  position: relative;
  z-index: 1;
}

.other-card .shape1 {
  position: absolute;
  top: 40px;
  left: 0px;
}
.other-card .shape1 svg {
  width: 110px;
  height: 110px;
}
.other-card .shape2 {
  position: absolute;
  bottom: 30px;
  right: 0px;
}
.other-card .shape2 svg {
  width: 110px;
  height: 110px;
}

.other-card .header {
  margin-bottom: 40px;
  text-align: center;
}

.other-card .header h1 {
  font-size: 2.5rem;
  color: var(--white);
}
.other-card .header p {
  font-family: var(--secondary-font);
  font-weight: 400;
  color: var(--border);
  font-size: 1rem;
  margin-bottom: 0px;
  max-width: 800px;
  display: block;
  margin: auto;
}
.other-card .other-card-box {
  border: 1px solid var(--border);
  border-radius: 16px;
  width: 100%;
  background: #3d3d3d10;
  padding: 20px;
  transition: 0.4s;
  -webkit-transition: 0.4s;
  -moz-transition: 0.4s;
  -ms-transition: 0.4s;
  -o-transition: 0.4s;
  -webkit-border-radius: 16px;
  -moz-border-radius: 16px;
  -ms-border-radius: 16px;
  -o-border-radius: 16px;
}
.other-card .other-card-box:hover {
  transform: translateY(-5px);
  -webkit-transform: translateY(-5px);
  -moz-transform: translateY(-5px);
  -ms-transform: translateY(-5px);
  -o-transform: translateY(-5px);
}
.other-card .other-card-box .icon {
  width: 70px;
  height: 70px;
  border-radius: 50%;
  overflow: hidden;
}
.other-card .other-card-box .icon img {
  width: 100%;
}
.other-card .other-card-box h2 {
  font-size: 18px;
  font-weight: 400;
  color: var(--white);
  font-family: var(--primary-font);
  text-align: left;
  margin: 16px 0;
}
.other-card .other-card-box p {
  font-family: var(--secondary-font);
  font-weight: 400;
  color: var(--border);
  font-size: 1rem;
  margin-bottom: 0px;
}

@media screen and (max-width: 992px) {
  .other-card .header h1 {
    font-size: calc(1.375rem + 1.5vw);
  }
}

@media screen and (max-width: 768px) {
  .other-card .other-card-wrapper {
    padding: 20px;
  }
  .other-card .other-card-box {
    text-align: center;
  }

  .other-card .other-card-box .icon {
    display: block;
    margin: auto;
  }
  .other-card .other-card-box h2 {
    text-align: center;
  }
}
/* Other card End */

/* Domain Pricing Start */

.all-domains {
  width: 100%;
  position: relative;
  margin-top: 40px;
}

.all-domains .shape1 {
  position: absolute;
  right: 0px;
  top: 40px;
  z-index: -1;
}

.all-domains .shape1 svg {
  width: 100px;
  height: 100px;
}

.all-domains .shape2 {
  position: absolute;
  bottom: 0px;
  left: 0px;
  z-index: -1;
}

.all-domains .shape2 svg {
  width: 100px;
  height: 100px;
}

.all-domains .domains-container {
  width: 100%;
  background: transparent;
}

.all-domains .title-wrap p {
  font-family: var(--secondary-font);
  font-weight: 400;
  color: var(--black);
  font-size: 1rem;
  margin-bottom: 0px;
}
.all-domains .availability {
  display: flex;
  align-items: center;
  margin: 20px 0;
  gap: 10px;
  font-size: 18px;
}
.all-domains .availability span {
  color: var(--primary-color);
  font-size: 18px;
  font-weight: 400;
}
.all-domains .availability p {
  margin: 0;
}
.all-domains .availability img {
  width: 32px;
  vertical-align: middle;
  margin-right: 5px;
}

.all-domains .toggle-container {
  display: flex;
  gap: 16px;
  justify-content: end;
  align-items: center;
}

.all-domains .title-wrap h2 {
  font-size: 2.5rem;
  color: var(--black);
}
.all-domains .toggle {
  text-align: center;
  font-weight: bold;
  -webkit-border-radius: 16px;
  -moz-border-radius: 16px;
  -ms-border-radius: 16px;
  -o-border-radius: 16px;
}

.all-domains .toggle h2 {
  margin-bottom: 14px;
  font-weight: 600;
  font-size: 18px;
  color: var(--black);
  font-family: var(--secondary-font);
}
.all-domains .toggle span {
  font-weight: 600;
  font-size: 18px;
  color: var(--black);
  font-family: var(--secondary-font);
}
.all-domains .toggle-button-container {
  display: flex;
  align-items: center;
  gap: 10px;
  border: 1px solid var(--border2);
  padding: 16px;
  border-radius: 8px;
  -webkit-border-radius: 8px;
  -moz-border-radius: 8px;
  -ms-border-radius: 8px;
  -o-border-radius: 8px;
}
.all-domains .toggle-button {
  position: relative;
  width: 50px;
  height: 25px;
  background: var(--primary-color);
  border-radius: 15px;
  cursor: pointer;
}
.all-domains .checkbox {
  opacity: 0;
  width: 0;
  height: 0;
}
.all-domains .knob {
  position: absolute;
  width: 20px;
  height: 20px;
  background: var(--white);
  border-radius: 50%;
  top: 2.5px;
  left: 3px;
  transition: 0.3s;
}
.all-domains .checkbox:checked + .knob {
  left: 27px;
}

.all-domains .table-wrapper {
  max-width: 100%;
  margin: auto;
  background: var(--white);
  padding: 20px;
  border-radius: 12px;
  margin-top: 10px;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
}

.all-domains .table-wrapper .table {
  overflow-x: auto;
  padding-bottom: 10px;
}

.all-domains .table-wrapper h4 {
  font-family: var(--primary-font);
}
.all-domains table {
  width: 100%;
  border-collapse: collapse;
}

.all-domains .table-wrapper th,
.all-domains .table-wrapper td {
  border-bottom: 1px solid var(--border) !important;
  font-size: 16px;
  font-family: var(--primary-font);
  color: var(--black);
  padding: 10px;
  text-align: center;
}
.all-domains .table-wrapper th {
  background-color: var(--primary-color);
  color: var(--white);
}
.all-domains .table-wrapper .register {
  text-decoration: none;
  color: var(--primary-color);
}
.all-domains .cta {
  background: var(--primary-color);
  color: var(--white);
  padding: 16px;
  text-align: center;
  margin-top: 40px;
  border-radius: 12px;
  -webkit-border-radius: 12px;
  -moz-border-radius: 12px;
  -ms-border-radius: 12px;
  -o-border-radius: 12px;
}
.all-domains .cta .btn {
  display: inline-block;
  color: var(--white);
  background: var(--black);
  padding: 8px 20px;
  font-size: 16px;
  font-weight: 500;
  border-radius: 8px;
  text-decoration: none;
  transition: 0.4s;
}
.all-domains .cta .btn:hover {
  background: var(--white);
  color: var(--black);
}

@media screen and (max-width: 992px) {
  .all-domains .toggle-container {
    justify-content: center;
    margin: 20px 0;
  }

  .all-domains .title-wrap h2 {
    font-size: calc(1.375rem + 1.5vw);
  }

  .all-domains .availability,
  .all-domains .title-wrap {
    text-align: center;
    justify-content: center;
  }
}

@media screen and (max-width: 768px) {
  .all-domains .toggle-button-container {
    padding: 16px;
    gap: 6px;
  }

  .all-domains .toggle span {
    font-size: 16px;
  }
}

@media screen and (max-width: 576px) {
  .all-domains .toggle h2 {
    font-size: 16px;
  }

  .all-domains .toggle span {
    font-size: 14px;
  }

  .all-domains .toggle-button-container {
    padding: 6px;
    gap: 4px;
  }

  .all-domains .toggle-container {
    gap: 8px;
  }
}
/* Domain Pricing End */
